package com.ai.da.common.utils.paypalRequest;

import com.ai.da.model.dto.WebhookVerifyDTO;
import com.alibaba.fastjson.JSONObject;
import com.paypal.http.HttpRequest;
import com.paypal.orders.OrdersCreateRequest;

import java.io.Serializable;
import java.util.HashMap;

public class WebhookVerifyRequest extends HttpRequest<HashMap> {
    public WebhookVerifyRequest() {
        super("/v1/notifications/verify-webhook-signature", "POST", HashMap.class);
        this.header("Content-Type", "application/json");
    }

    public WebhookVerifyRequest authorization(String authorization) {
        this.header("Authorization", "Bearer " + String.valueOf(authorization));
        return this;
    }

    public WebhookVerifyRequest requestBody(HashMap<String,String> webhookVerify) {
        super.requestBody(webhookVerify);
        return this;
    }
}
